<div
  class='map-search-bis
    {{if @isActive "active has-content" "no-content"}}
    {{if @isEmbedded "is-embedded"}}
    {{if @isSearching "is-searching" "is-ready"}}'
  {{did-insert this.setupComponentContainer}}
  ...attributes
>
  <div class='search-container' {{did-insert this.setupSearchContainer}}>
    <div class='p-3 pb-0 d-flex justify-content-between'>
      <div class='input-search-container'>
        {{! template-lint-disable require-input-label }}
        <Input
          class='form-control input-search form-control-lg
            {{if @canGoBack "with-back-btn"}}'
          @value={{this.term}}
          placeholder={{@title}}
          {{on 'focusin' this.inputFocus}}
        />

        <div class='placeholder' {{on 'click' this.inputFocus}}>
          {{#if @isSearching}}
            <FaIcon @icon='spinner' @spin={{true}} />
          {{else}}
            <FaIcon @icon='search' />
          {{/if}}
        </div>

        {{#if @canGoBack}}
          <button
            class='btn btn-lg btn-go-back'
            type='button'
            data-toggle='tooltip'
            title={{t 'back'}}
            {{on 'click' this.backToSearch}}
          >
            <FaIcon @icon='arrow-left' />
            <div class='border'></div>
          </button>
        {{/if}}
      </div>

      {{#if @isActive}}
        <button
          class='btn btn-light btn-lg btn-close-search'
          type='button'
          data-toggle='tooltip'
          title={{t 'close'}}
          {{on 'click' this.close}}
        >
          <FaIcon @icon='times' />
        </button>
      {{/if}}
    </div>

    <div class='pills-container py-2 px-4'>
      {{yield 'pills'}}
    </div>
  </div>

  <div
    class='content {{if @isActive "show" "hide"}}'
    {{did-insert this.setupContent}}
  >
    {{yield 'content'}}
  </div>
</div>